import { ChangeDetectorRef, ElementRef, OnInit, AfterContentInit, OnDestroy } from '@angular/core';
import { KeyboardLayout } from './../model/layouts';
import { NgxVirtualKeyboardService } from './../services/ngx-virtual-keyboard.service';
import { KeyPressInterface } from './../model/key-press.interface';
export declare class NgxVirtualKeyboardComponent implements OnInit, AfterContentInit, OnDestroy {
    private _vk;
    private _ref;
    disabled: boolean;
    type: string;
    location: Element;
    inputElement: ElementRef;
    layout: KeyboardLayout;
    temp: KeyboardLayout;
    maxLength: number | string;
    private capsLock;
    private scrollPosition;
    private caretPosition;
    private shift;
    special: boolean;
    layoutSubscription: any;
    shiftSubscription: any;
    capsLockSubscription: any;
    caretPositionSubscription: any;
    disabledSubscription: any;
    specialSubscription: any;
    constructor(_vk: NgxVirtualKeyboardService, _ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    close(): void;
    getColSize(): string;
    keyPress(event: KeyPressInterface): void;
    private handleSpecialKey(event);
    private dispatchEvents(event);
    private checkDisabled();
    private handleNormalKey(keyValue);
    private cursorPosition(isLeft);
    private updateLayout();
    private onClick(e);
}
